Publish Create

View as Markdown

Publish video by setting is_draft to False.

Path parameters

video_idintegerRequired

Request

This endpoint expects an object.
templateobjectRequired
ownerobjectRequired

Simple user serializer with profile picture from associated IAMUserDetail.

Fields:

  • id, email, full_name, username, is_verified (from IAMUser)
  • profile_picture (from first related IAMUserDetail if present)
titlestringRequired<=255 characters
workspaceintegerRequired
deleted_atdatetime or nullOptional
is_activebooleanOptional
created_bystring or nullOptional<=255 characters
updated_bystring or nullOptional<=255 characters
deleted_bystring or nullOptional<=255 characters
descriptionstring or nullOptional
cover_imagestring or nullOptionalformat: "uri"
thumbnailstring or nullOptionalformat: "uri"
Thumbnail image, also used as logo
generated_scriptstring or nullOptional
generation_progressintegerOptional-2147483648-2147483647

Progress percentage (0-100)

statusenumOptional
  • not_started - Not Started
  • in_progress - In Progress
  • completed - Completed
  • failed - Failed
Allowed values:
internal_statusenumOptional
  • planning - Planning Structure
  • scripting - Scripting & Visual Direction
  • audio_sync - Audio Generation & Sync
  • visuals - Visual Asset Generation
  • rendering - Section Rendering
  • merging - Final Assembly
  • completed - Success
  • failed - Error
is_regeneratingbooleanOptional
durationinteger or nullOptional-2147483648-2147483647
Duration in seconds
visibilityenumOptional
  • public - Public
  • private - Private
  • team - Team
  • org - Organization
Allowed values:
is_draftbooleanOptional
Whether this video is a draft
planany or nullOptional

The video plan structure (sections, timings, prompts)

source_experienceinteger or nullOptional
categoryinteger or nullOptional
subcategoryinteger or nullOptional
tagslist of integersOptional

Response

idintegerRead-only
sectionslist of objectsRead-only
templateobject
videostringRead-only
ownerobject

Simple user serializer with profile picture from associated IAMUserDetail.

Fields:

  • id, email, full_name, username, is_verified (from IAMUser)
  • profile_picture (from first related IAMUserDetail if present)
owner_usernamestringRead-only
metricsstringRead-only
tag_nameslist of stringsRead-only
category_namestringRead-only
subcategory_namestringRead-only
custom_urlstringRead-only
uidstringRead-onlyformat: "uuid"
created_atdatetimeRead-only
updated_atdatetimeRead-only
titlestring<=255 characters
workspaceinteger
deleted_atdatetime or null
is_activeboolean
created_bystring or null<=255 characters
updated_bystring or null<=255 characters
deleted_bystring or null<=255 characters
descriptionstring or null
cover_imagestring or nullformat: "uri"
thumbnailstring or nullformat: "uri"
Thumbnail image, also used as logo
generated_scriptstring or null
generation_progressinteger-2147483648-2147483647

Progress percentage (0-100)

statusenum
  • not_started - Not Started
  • in_progress - In Progress
  • completed - Completed
  • failed - Failed
Allowed values:
internal_statusenum
  • planning - Planning Structure
  • scripting - Scripting & Visual Direction
  • audio_sync - Audio Generation & Sync
  • visuals - Visual Asset Generation
  • rendering - Section Rendering
  • merging - Final Assembly
  • completed - Success
  • failed - Error
is_regeneratingboolean
durationinteger or null-2147483648-2147483647
Duration in seconds
visibilityenum
  • public - Public
  • private - Private
  • team - Team
  • org - Organization
Allowed values:
is_draftboolean
Whether this video is a draft
planany or null

The video plan structure (sections, timings, prompts)

source_experienceinteger or null
categoryinteger or null
subcategoryinteger or null
tagslist of integers